Skip to main content

Instance Organization Members Actions

https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/members

Below are the various requests that can be performed against the Instance Organization Members resource, as well as the expected parameters and the potential responses.

Get​

Returns a collection of instance organization members

Method And Url​

GET https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/members

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceOrgMembers.*, or instanceOrgMembers.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: email, roleemailsortField=role
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: email, rolefilterField=email
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * instance

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/members

Successful Responses​

CodeTypeDescription
200Instance Organization MembersA collection of instance organization members

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance was not found

Post​

Creates a new organization member

Method And Url​

POST https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/members

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceOrgMembers.*, or instanceOrgMembers.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Instance Org Member Post schema. For example, the following would be a valid body for this request:

{
"role": "view",
"applicationRoles": [
{
"resourceId": "575ef90f7ae143cd83dc4a4f",
"role": "none"
}
],
"userId": "675ed18f7ae143cd83dc4bb7"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"role":"view","applicationRoles":[{"resourceId":"575ef90f7ae143cd83dc4a4f","role":"none"}],"userId":"675ed18f7ae143cd83dc4bb7"}' \
https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/members

Successful Responses​

CodeTypeDescription
200Instance Org MemberThe newly created instance member

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Instance Org Member​

      Schema for an Instance Organization member

      Instance Org Member Schema​

      • ▶
        {} 4 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 10 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                            • false

                          Instance Org Member Example​

                          • ▶
                            {} 2 keys
                            • "575ef90f7ae143cd83dc4aad"
                            • "view"

                          Instance Org Member Post​

                          Schema for an Instance Organization member creation request

                          Instance Org Member Post Schema​

                          • ▶
                            {} 2 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • ▶
                              [] 2 items

                            Instance Org Member Post Example​

                            • ▶
                              {} 3 keys
                              • "view"
                              • ▶
                                [] 1 item
                                • "675ed18f7ae143cd83dc4bb7"

                              Instance Organization Members​

                              Schema for a collection of Organization members within an instance

                              Instance Organization Members Schema​

                              • ▶
                                {} 3 keys
                                • "http://json-schema.org/draft-07/schema#"
                                • "object"
                                • ▶
                                  {} 8 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 2 keys

                                              Instance Organization Members Example​

                                              • ▶
                                                {} 4 keys
                                                • ▶
                                                  [] 1 item
                                                  • 8
                                                  • "role"
                                                  • "asc"

                                                Was this page helpful?


                                                Still looking for help? You can also search the WEGnology Forums or submit your question there.